#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-1tam6IX889Z5VkBfnFgFMR
key:                  stack-2.7.3-1tam6IX889Z5VkBfnFgFMR
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  d4e7db711f71439ddeb48a06347eec6e
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-1tam6IX889Z5VkBfnFgFMR
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-HovgRSwClmp3MlpdzIrgeT
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-E5ixrJDd19N3eIo8qT5XdI array-0.5.4.0
    async-2.2.3-BXyO0Eqy7dKDhuw0ipO4l9
    attoparsec-0.14.2-rtAPeZyYcECoSZILzD12L base-4.15.0.0
    base64-bytestring-1.2.1.0-1hrcWcP9zv85jjOkRM3cq4
    bytestring-0.10.12.1 casa-client-0.0.1-H3WZIKKHGgk3PKgWQTpPzw
    casa-types-0.0.2-Ge25O3AioZx8rJsRJ6wb7Q
    colour-2.3.6-KfWPVZ1aXUd4CiuH0WcUGX
    conduit-1.3.4.2-J795bysPzPGAsLEhwTISPo
    conduit-extra-1.3.5-8buDrkd3Q1t6w4VPukKnWp containers-0.6.4.1
    cryptonite-0.29-GKf3yvBivfRFwPngYJLje3
    cryptonite-conduit-0.2.2-FGa57OEiEyaDrp6tPqUeBW deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-2AOg2sJtHIb7kmDKEhukMr
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-G9aFqjzoUYoDx9SeqdDIUV filepath-1.4.2.1
    fsnotify-0.3.0.1-IEf4DJTg0pvHUIVfqefzlt
    generic-deriving-1.14.1-Cwi526yt0pN3SIvwG6hk2t
    hackage-security-0.6.0.1-FIdEmDwfHqFJBn98V23uZK
    hashable-1.3.4.1-JDUzpdmU5ZSEtyTlh3rl0t
    hi-file-parser-0.1.2.0-HzRUyIBJes6HfH1Iq0qCcr
    hpack-0.34.4-CgTDZslh6ql6V8VYrwLe2h hpc-0.6.1.0
    http-client-0.7.9-F0Meg3PChUH2jjn5g3QLcZ
    http-client-tls-0.3.5.3-41Lj60OChOq28qiS7JtEVY
    http-conduit-2.3.8-Huj5lwDRVgMH18N8Nwojia
    http-download-0.2.0.0-FBvglUWw3BD2ByPAV3DU9u
    http-types-0.12.3-KjWjvhKRWdoHjRC0yAy5b3
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.3-L8AGKsrUowz1vjIk8BJUbG
    mono-traversable-1.0.15.3-B6bPmbhxM373viRR5piGqi mtl-2.2.2
    mustache-2.3.2-4KLJPN1byU8LGtHENaNQIY
    neat-interpolation-0.5.1.2-41P3Y6wlLqDLas7UK310Ae
    network-uri-2.6.4.1-Bh7QYkujaMC1bdTC9fBevA
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-D229RMevEeFC4f63k5Ajnx
    pantry-0.5.2.3-6iPZ7jXflwMKq3hXH5v6fH
    path-0.9.1-8gtjvaSR4RlIbZ2kPtuxnr
    path-io-1.6.3-KBSkx5yJnZW9XlpT9cyvCv
    persistent-2.13.1.2-CPc6ghaL7V0q8O4jjudMt
    persistent-sqlite-2.13.0.3-1L3ncdD8lTLEDhCaKwydLy pretty-1.1.3.6
    primitive-0.7.2.0-IRk3xFW5lixIqREOioQudA process-1.6.11.0
    project-template-0.2.1.0-KaEdgShvLee1SEyoRULQuV
    regex-applicative-text-0.1.0.1-1Q0RWlx7HcMFzwh0eWNRds
    retry-0.9.0.0-34ZID55uhho7J1hnmdJTWo
    rio-0.1.21.0-9hH3sJHY6KsIt4U5IkWWUh
    rio-prettyprint-0.1.1.0-69iLvFilNmT4xyXTD4hz2e
    split-0.2.3.4-4GALoxeRSUEFr95GpJd6fa stm-2.5.0.0
    streaming-commons-0.2.2.2-6kh0AvSHcgMGv35Zr9UKpP
    tar-0.5.1.1-90bcufhFSk3sNltttN6yn template-haskell-2.17.0.0
    temporary-1.3-LJkvb6Ty0ZF2tXOoOnDzlO text-1.2.4.1
    text-metrics-0.3.1-7ySP8YfTQjN7fiSS0Ja4vx
    th-reify-many-0.1.10-L6iEBNt9t8dIWEe6DYxOZc time-1.9.3
    tls-1.5.6-GntqqXqc6F3BB8KD4uqK7Z transformers-0.5.6.2
    typed-process-0.2.8.0-LAQx0BccgbsDbcdPc7foBD
    unicode-transforms-0.4.0-BrSkYzVe6e0GLr64nWujBt unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-FgT0fZNk9yZK3c87GmWLwD
    unordered-containers-0.2.15.0-LNtuhGmJxBYD0NnDolqaiP
    vector-0.12.3.1-HnbmB9aPlSIFurMrFbOvAA
    yaml-0.11.7.0-Jbqo214YLHkJL3NkQeDwHx
    zip-archive-0.4.1-DmnRIzOglLUFAHCmOHdAL1
    zlib-0.6.2.3-6u82x2JrZMi3DinNzdxHfd

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

